#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0xc528ee07, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0xdc08a5af, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xb4fbc3fd, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x1c1ffb35, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x33d57926, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0xed2220bb, "");
SYMBOL_CRC(mlx5_cmd_check, 0xe1a8cad9, "");
SYMBOL_CRC(mlx5_cmd_do, 0x1a4042ee, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xfde9ca2e, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x224d40cb, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0x54ee0164, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x754acae9, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0x1d6cfd97, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xeb4b3b39, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xb60226db, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x6e5c27bd, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xc61c3bbd, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0xd26eecd9, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x6c163f35, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x6b08c627, "");
SYMBOL_CRC(mlx5_eq_enable, 0x73f34419, "");
SYMBOL_CRC(mlx5_eq_disable, 0xcca2b39d, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x3650cd2f, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0xc1ab2642, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xf6bf62b2, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x5a293d2f, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0xad173d44, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x132d7c95, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x88b9514b, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x4a286865, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0x59aae365, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x0095aa7a, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x88da7039, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xa29410f6, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x60607c47, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x1fe5cbb7, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x114056a9, "");
SYMBOL_CRC(mlx5_create_cq, 0x36fe1f60, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x6490c60d, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x0cd5047f, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x7d8ae8a9, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0xe208abb6, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xbc6bf474, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0xfc72b5cc, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xcf6885d3, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0xd52afd80, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xdc83a2c9, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0x40f5d6ef, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xf46fba41, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0xb8faef3d, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x316a9602, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x09a5bb1e, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x7a2782cf, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x6cce6989, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x5c428946, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xbeb42446, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xe9870fe3, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0xc036ea16, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0xf60b8818, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x9c87c387, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xc1c83642, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x53c0c17b, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x0f9a718c, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xb703f9b9, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x5a1aa58e, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x1d263ea5, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x58a486e7, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x24a52cfa, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0x7f186967, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xf41f6684, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x03156b1a, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x2f1d50c8, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xe27642be, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0xc14e8dae, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xd4750feb, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x40637483, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0xce2ecb87, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x5da6e606, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x8e1c161f, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0x03c06f4f, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x0f858b34, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x8b78c6a8, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x4ce440b7, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x7a803175, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xd90c79eb, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x6f192cc4, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x6826f87b, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0xcfdb87be, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xc41a9d6f, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x515b7fc3, "");
SYMBOL_CRC(mlx5_core_query_sq, 0xfd671ad7, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x4a9a7aec, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xd151b588, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xdb906566, "");
SYMBOL_CRC(mlx5_core_create_tis, 0x14d2f3b1, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xbe68f49b, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0xec32d2d1, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0xc249e300, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x97b25e7f, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x5a2e3fd2, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x9781b510, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x994d914b, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0xfba98e36, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x0aea0ba8, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x930bcb9b, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xba7750e2, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x9880575d, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xd5659ea0, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0x5a1a5735, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x8b14f1e1, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0xb300dbea, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xf0180cc9, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0x5caf0ce6, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0xae1a69e5, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xd9a53e12, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xa3987a76, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xf99f0bce, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0x6e9445bf, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0xe954ed59, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xc5af5b8c, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x8533480f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xda23cec0, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xf52d3a18, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xb13dd72e, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x38a4d3e1, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xdc934b78, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xb7646d46, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xcf5214bf, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xc0e80601, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x0d683286, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x5fd5bdec, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x23bb3f50, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xa85e04b7, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xe5ad0cad, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x888a2246, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x5c6e2b0d, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x3c7700f3, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0xafc29d8e, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0xcc002b85, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0xb28dbbe8, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x17ec9ce6, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xa14ad7f5, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0x5869d50f, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xed979ff3, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xc09c6f3e, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x1ceb0234, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x58a2de88, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x3763ae78, "");
SYMBOL_CRC(mlx5_msix_alloc, 0x0c5bf391, "");
SYMBOL_CRC(mlx5_msix_free, 0x6cc48d35, "");
SYMBOL_CRC(mlx5_fc_create, 0x4d67f757, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xfa197442, "");
SYMBOL_CRC(mlx5_fc_query, 0x7a3309ab, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xd33cf3a7, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0x1fe5df54, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x568eaa43, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0x1936a56b, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0xb58e4110, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x777a13a6, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xde15ade8, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x7fa6d19c, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x9ed78ea1, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x8ba6fed4, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x91935bb5, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x00a06145, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x50fa6d5d, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x3e7c6bca, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xa88e0ad4, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x106e0d8d, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0xb672ce4d, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xcb568d4a, "");
SYMBOL_CRC(mlx5_notifier_register, 0xbe595385, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x483b8dcc, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0x493477d3, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x98d964a2, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x28c97b22, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x8b3e3f82, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0x7cfc9320, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x576f4832, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x1e38486c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0xab521f6e, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xb72cffaf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xd020dd1f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x7fd709fe, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0x1c57c524, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xd6c3be3d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0xba5c2f4f, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xbb475e47, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xc4f93a9a, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x22bce683, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x4c0b1cfd, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x872e7c67, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x9e31c9ec, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x32fc77d1, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x5ed395f6, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0xe4e09c2b, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x0d1a6d7d, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xbf797f4b, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x83ba88cd, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xe7ebfabf, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0x6ecde9c7, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0xf8476a8e, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0x5633bfd5, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x398f7e1f, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x5d472f02, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x08ecdb50, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0xd63fa695, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0x551d5b53, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x9e457fc9, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x4c46bf05, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0xda4f9c1f, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0xd0277726, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x5f5b432f, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0x647c69ac, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xd2003620, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xbecc9be2, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0xa29642af, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x2e0c2d9a, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0xd3740bae, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x02721f87, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x927f8043, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xb1cb0d92, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x6fb1f47c, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0xb75bfa51, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0xb6996178, "__inet_lookup_established" },
	{ 0x2ec27239, "xsk_tx_completed" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x52982ede, "alloc_etherdev_mqs" },
	{ 0xe5f793ad, "netdev_lower_get_next" },
	{ 0x25e039e8, "secpath_set" },
	{ 0x5c954faf, "flow_block_cb_lookup" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x5ff7061, "pci_save_state" },
	{ 0xdc6d729c, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xca160686, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x2ed37237, "xp_alloc" },
	{ 0x32d14984, "pcie_capability_read_word" },
	{ 0xeee4a1b7, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9ef6ad3e, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xbdf85ac1, "bpf_prog_put" },
	{ 0xb588c16, "page_pool_get_stats" },
	{ 0xb9a7eb14, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8ac7ff78, "pci_cfg_access_unlock" },
	{ 0xd6e19ad8, "xp_dma_map" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x1e802db8, "devlink_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x2f9de88e, "skb_copy_bits" },
	{ 0x642b75b8, "debugfs_attr_write" },
	{ 0x1af3f4e4, "dma_pool_create" },
	{ 0x2efe5cd2, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x94f26365, "pci_msix_vec_count" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe77e2dee, "pci_enable_device" },
	{ 0x9c484401, "skb_put" },
	{ 0xa070cba1, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x927b899f, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0xd3254825, "__napi_alloc_skb" },
	{ 0x18a4cd30, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x59c21063, "register_fib_notifier" },
	{ 0x19df054f, "auxiliary_device_init" },
	{ 0x9f06a396, "ip6_dst_hoplimit" },
	{ 0x143e8896, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x457d7340, "flow_rule_match_enc_ip" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xda9df56f, "pci_alloc_irq_vectors" },
	{ 0xb7f54f5b, "netif_napi_add_weight" },
	{ 0x60f137bc, "pci_enable_atomic_ops_to_root" },
	{ 0x260eece4, "seq_release" },
	{ 0xf1978377, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xb900e7b3, "xsk_clear_tx_need_wakeup" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x115ba35d, "udp4_hwcsum" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x9880760b, "devl_lock" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xcdc97f8f, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x57463ea6, "ndo_dflt_bridge_getlink" },
	{ 0xa608d5db, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xb7af6494, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x3e66845d, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xdf3aed76, "register_netdevice_notifier_dev_net" },
	{ 0x29451a89, "dma_unmap_page_attrs" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0x11102783, "devlink_health_reporter_create" },
	{ 0x96848186, "scnprintf" },
	{ 0x80be789d, "flow_rule_match_cvlan" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x726fb94, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0xd6b25630, "dma_sync_single_for_device" },
	{ 0xa18cb17d, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xd25360a, "pci_num_vf" },
	{ 0x5a0f7ec7, "debugfs_create_atomic_t" },
	{ 0xab56480d, "flow_rule_match_eth_addrs" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x67991e73, "skb_add_rx_frag" },
	{ 0x72dbd927, "xfrm_state_check_expire" },
	{ 0xa116ee3e, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdec1e026, "ptp_clock_index" },
	{ 0x8b01ab6b, "pci_request_regions" },
	{ 0x10d93445, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xd093ffb5, "flow_block_cb_free" },
	{ 0x90a9b33c, "devl_port_fn_devlink_set" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfbd9a6df, "xp_can_alloc" },
	{ 0xa38e6da8, "psample_sample_packet" },
	{ 0x47a1a52f, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xa639a1d2, "devlink_alloc_ns" },
	{ 0xb5805b54, "devl_rate_leaf_destroy" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x1f66c341, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xbc1111e5, "devlink_register" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xe011a7e8, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x27fe343, "seq_lseek" },
	{ 0x3022edc4, "page_pool_destroy" },
	{ 0x228e8221, "xdp_do_redirect" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x4489887, "devlink_free" },
	{ 0x6c034f20, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xa82afc4, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x39e4be37, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6ce57412, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1ba6509b, "pci_irq_vector" },
	{ 0xf0f52a3b, "flow_rule_match_ipv4_addrs" },
	{ 0x89a25d26, "ip_route_output_flow" },
	{ 0xb67bc3dc, "__netif_napi_del" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xafa5b364, "__dynamic_dev_dbg" },
	{ 0xfb6310b7, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x842f2201, "sock_gen_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x68f7625a, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x153b6a3d, "netdev_err" },
	{ 0xf6507cb9, "pci_cfg_access_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2f5db380, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xac4d7601, "dev_driver_string" },
	{ 0xcf6744f6, "netdev_port_same_parent_id" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0x14687c42, "dev_addr_mod" },
	{ 0xa988b4f7, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xcdc86b55, "sched_clock" },
	{ 0x8a04209d, "ptp_find_pin" },
	{ 0x459f4f13, "eth_type_trans" },
	{ 0x66f7c8d6, "pci_read_config_dword" },
	{ 0x8bfcde39, "request_firmware_direct" },
	{ 0xd8cb06f2, "flow_rule_match_icmp" },
	{ 0x3bbf15aa, "auxiliary_driver_unregister" },
	{ 0xa42325d, "dma_map_page_attrs" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x79e84a9d, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9543086a, "devlink_port_attrs_pci_vf_set" },
	{ 0x3b206456, "priv_to_devlink" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x277cbcf4, "vlan_dev_vlan_proto" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xac761154, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0x5e0cac0c, "__napi_schedule" },
	{ 0x4575b605, "devlink_port_health_reporter_create" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x6408ae60, "pcie_relaxed_ordering_enabled" },
	{ 0x8bde1236, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x549e449e, "kmalloc_node_trace" },
	{ 0x88c482d1, "devlink_port_attrs_pci_pf_set" },
	{ 0xe26bfab1, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xb68b5a7f, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0xe3d74559, "_dev_info" },
	{ 0xb1143571, "skb_vlan_pop" },
	{ 0x674f200d, "napi_gro_receive" },
	{ 0x5ecf2493, "netif_device_attach" },
	{ 0xe44ffdc6, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xe2bc2c0f, "netdev_pick_tx" },
	{ 0xedb99f5a, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x43fcd5dc, "xp_raw_get_dma" },
	{ 0xb63b9172, "eth_get_headlen" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x8f9a3500, "xdp_rxq_info_is_reg" },
	{ 0x8e11ffb6, "flow_rule_match_enc_opts" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0x2136bebe, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0xed30c6f7, "free_fib_info" },
	{ 0x1591b2c6, "hyperv_read_cfg_blk" },
	{ 0xcaa76456, "devl_health_reporter_create" },
	{ 0x8fcb0867, "flow_block_cb_setup_simple" },
	{ 0xb91c7018, "pci_msix_can_alloc_dyn" },
	{ 0x8c1d465e, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xaaf37b5b, "unregister_netdevice_notifier_dev_net" },
	{ 0x553075d2, "pci_find_capability" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xabe6ff8, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd93442ea, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xd0b65f43, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xbf641045, "vlan_dev_real_dev" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x867e6ba0, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xbe06e65, "__dev_get_by_index" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xd1c3fffb, "__irq_apply_affinity_hint" },
	{ 0x4d49aecf, "devlink_port_unregister" },
	{ 0x7695aa40, "dev_get_port_parent_id" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe6d5c496, "_dev_err" },
	{ 0xc9f9f474, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x23ecb72e, "softnet_data" },
	{ 0xbecb9243, "ipv6_stub" },
	{ 0xc625535d, "simple_open" },
	{ 0xd412f1ef, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xcf4d7b10, "cpu_bit_bitmap" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x5590867f, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xac2c1ede, "simple_attr_release" },
	{ 0x113e9129, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x74be4bd, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x27a4362, "xp_dma_sync_for_cpu_slow" },
	{ 0x690a0ca7, "xsk_tx_peek_desc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x655c7f70, "__traceiter_xdp_exception" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x9c78c26a, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xfa55b630, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4e327708, "irq_get_irq_data" },
	{ 0x9c4c3f31, "dev_remove_pack" },
	{ 0x48c64f52, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x93ab5fd4, "dev_get_by_index" },
	{ 0x49f6aeae, "bpf_trace_run5" },
	{ 0x4ce87ce8, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x9ca18a1c, "skb_store_bits" },
	{ 0xe76a879f, "devl_port_register_with_ops" },
	{ 0xb4741ef7, "dev_get_by_index_rcu" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0xb4177b94, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4d702d9, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x327a4a41, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe9e5f121, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0xb5bd4b49, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xc5ba48a4, "debugfs_remove" },
	{ 0x8f793900, "pci_read_config_word" },
	{ 0x2dbcf30e, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc0370ccc, "xsk_clear_rx_need_wakeup" },
	{ 0x434757b, "unregister_netdevice_notifier_net" },
	{ 0x1fe651fb, "xsk_uses_need_wakeup" },
	{ 0x45e47d76, "register_netdev" },
	{ 0x24cc613b, "unregister_fib_notifier" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x43ba6075, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xf044feec, "debugfs_create_u64" },
	{ 0xffb7c514, "ida_free" },
	{ 0xfc654e8f, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xa31c0bf, "debugfs_create_size_t" },
	{ 0x221394ae, "hyperv_reg_block_invalidate" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xca253bfb, "devl_params_register" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xde5cff58, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x48b84859, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdcd7c887, "__ethtool_get_link_ksettings" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0xa79fa33d, "pci_restore_state" },
	{ 0xbb73972f, "bpf_trace_run1" },
	{ 0x276382b0, "__inet6_lookup_established" },
	{ 0xbfb2fa1e, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xafb541ca, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xaf9843a2, "dma_sync_single_for_cpu" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xd777d301, "page_pool_create" },
	{ 0xcecca2ce, "skb_checksum" },
	{ 0x637f8097, "devl_param_driverinit_value_set" },
	{ 0xdcb764ad, "memset" },
	{ 0x11ee1077, "_dev_warn" },
	{ 0xe8eb0d73, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0xfe63f368, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa8c88f19, "devl_resources_unregister" },
	{ 0x7ea5a190, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2af91872, "netif_schedule_queue" },
	{ 0xebfba375, "__alloc_pages" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x6f0797c9, "pci_set_master" },
	{ 0x721a90f5, "devl_trap_groups_register" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x91c62153, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b799618, "flow_rule_match_ipv6_addrs" },
	{ 0xea2e09d3, "netdev_set_tc_queue" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x8a71b9c, "devl_params_unregister" },
	{ 0x753f3fe5, "ptp_clock_unregister" },
	{ 0x17bc0ffd, "__pskb_pull_tail" },
	{ 0x53ce6510, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xede8feb3, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x4a430ad7, "devlink_trap_report" },
	{ 0xf944bd60, "__neigh_event_send" },
	{ 0x1b1a50da, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x1dd41cab, "dev_printk_emit" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8741f5f2, "devl_traps_register" },
	{ 0xc0477cb0, "devl_unlock" },
	{ 0xdb026862, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8dee7969, "dma_set_coherent_mask" },
	{ 0xbb088e0, "__neigh_create" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x935ce2f, "flow_rule_match_enc_control" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0x2d0728fc, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe5f73406, "hyperv_write_cfg_blk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x426ccb60, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xfc9af0f3, "debugfs_create_file" },
	{ 0x8f5088a5, "rps_may_expire_flow" },
	{ 0x471db3b7, "metadata_dst_free" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xf2e9f949, "xsk_set_tx_need_wakeup" },
	{ 0xe1719880, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe7ad424a, "netdev_reset_tc" },
	{ 0xd626d50d, "neigh_destroy" },
	{ 0x5f3d5133, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x66de3eb7, "debugfs_create_x32" },
	{ 0x51b08968, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8d90ff79, "flow_rule_match_enc_ports" },
	{ 0xac78410a, "xdp_return_frame_bulk" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xee5c1874, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xcbfb2d2d, "bpf_prog_add" },
	{ 0x7cfe368d, "net_dim_get_def_tx_moderation" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x26556aa7, "devl_assert_locked" },
	{ 0xfa773caf, "pcie_print_link_status" },
	{ 0x85046d83, "xp_set_rxq_info" },
	{ 0x113b8337, "flow_rule_match_vlan" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0x6c696ca9, "devl_port_unregister" },
	{ 0x22c12b1a, "xdp_rxq_info_unreg" },
	{ 0x5d2ff8f1, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x9fde5bd5, "devl_param_driverinit_value_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x41fedcf6, "napi_build_skb" },
	{ 0xc07c7f12, "netdev_master_upper_dev_get_rcu" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0x30d6a258, "__xdp_rxq_info_reg" },
	{ 0xde92d46, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc74eec16, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbb363a97, "bpf_prog_inc" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x37979775, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb53e5d2, "netif_carrier_off" },
	{ 0x40f30a47, "seq_printf" },
	{ 0x32fe56f8, "flow_rule_match_meta" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa7543fce, "devlink_priv" },
	{ 0x6129b6e4, "devlink_port_register_with_ops" },
	{ 0x60be34f9, "pci_disable_sriov" },
	{ 0x880dadf9, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe1678be1, "dst_release" },
	{ 0xdbd571cc, "netif_carrier_on" },
	{ 0x71113090, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x24441f00, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb76a6560, "pci_disable_device" },
	{ 0x8ac3334b, "net_dim_get_def_rx_moderation" },
	{ 0x258d2f76, "net_dim_get_tx_moderation" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x9f64b57d, "xp_free" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x71a34f0e, "page_pool_update_nid" },
	{ 0x154b24cd, "single_release" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x8af38f35, "dma_set_mask" },
	{ 0xb82d52fa, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xeecc7d18, "netif_set_tso_max_size" },
	{ 0xb305396c, "vlan_dev_vlan_id" },
	{ 0xb7ece852, "__skb_flow_dissect" },
	{ 0x40d2678a, "pci_msix_alloc_irq_at" },
	{ 0xae20fedf, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xe90d4ac8, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x738279e2, "xp_raw_get_data" },
	{ 0xd813db43, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x7e822d92, "napi_schedule_prep" },
	{ 0x87cb653d, "qdisc_reset" },
	{ 0x3894f4d7, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x37805f9, "xp_alloc_batch" },
	{ 0xcfc1623d, "flow_rule_match_mpls" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd585f485, "napi_disable" },
	{ 0xce9c8f77, "dev_kfree_skb_any_reason" },
	{ 0xba964698, "dcb_ieee_delapp" },
	{ 0x8dfc840f, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x6ea545cb, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x516dc7e6, "debugfs_create_u8" },
	{ 0x89e97257, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x21c00f48, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xcdcdfd54, "debugfs_create_dir" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x26a4160, "skb_ext_add" },
	{ 0x57ffd029, "pcie_bandwidth_available" },
	{ 0x8e2108c8, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x5b4e3aac, "flow_rule_match_control" },
	{ 0xed4adf27, "flow_rule_match_ip" },
	{ 0x722450c2, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x8d762123, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x5fcc030a, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5258a6, "xsk_tx_release" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x654a9916, "devl_traps_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe71f5d0f, "pci_iov_get_pf_drvdata" },
	{ 0x389e4a2c, "pci_write_config_dword" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xb6abf861, "netdev_info" },
	{ 0xe6cb4434, "neigh_lookup" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x1447843b, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "3057AE6DC06601897B3BF74");

MODULE_INFO(suserelease, "SLE15-SP6");
